Subject: Re: bug#32789: Bash finds old version of guix after guix pull

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 21 Sep 2018 18:06:16 +0200

Hi Alex,

> I'll mention here for posterity that restarting the system also "fixes"
> the issue.

Yes, bash will not remember paths across reboots.

> I still don't understand why bash found guix 0.14 after guix pulling
> from guix 0.15 though.

Bash optimizes lookups on the PATH; having found an executable on PATH
once, it can remember that location for a minor speed boost.  The only
problem with this is that the cache can go stale.

>From what I understand remembering locations is usually done manually by
running “hash”.  I don’t know what would trigger this behaviour in your
case.

--
Ricardo